# Interface methods for submodule: vnl_matrix_fixed_ref
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import vnl_matrix_fixed_ref_constProxy as _vnl_matrix_fixed_ref_constProxy


# Interface methods for class: vnl_matrix_fixed_ref
class vnl_matrix_fixed_refProxy(_vnl_matrix_fixed_ref_constProxy):
	def data_block(self):
		""""""
		...

	def put(self, r: int, c: int, v: float) -> None:
		""""""
		...

	def get(self, r: int, c: int) -> float:
		""""""
		...

	def __call__(self, r: int, c: int) -> float:
		""""""
		...

	def fill(self, arg0: float) -> vnl_matrix_fixed_ref:
		""""""
		...

	def fill_diagonal(self, arg0: float) -> vnl_matrix_fixed_ref:
		""""""
		...

	def set_diagonal(self, arg0: vnl_vector) -> vnl_matrix_fixed_ref:
		""""""
		...

	def copy_in(self, arg0) -> vnl_matrix_fixed_ref:
		""""""
		...

	def set(self, d) -> vnl_matrix_fixed_ref:
		""""""
		...

	def inplace_transpose(self) -> vnl_matrix_fixed_ref:
		""""""
		...

	def update(self, arg0: vnl_matrix, top: int = 0, left: int = 0) -> vnl_matrix_fixed_ref:
		""""""
		...

	@overload
	def set_column(self, i: int, v) -> vnl_matrix_fixed_ref:
		""""""
		...

	@overload
	def set_column(self, i: int, value: float) -> vnl_matrix_fixed_ref:
		""""""
		...

	@overload
	def set_column(self, j: int, v: vnl_vector) -> vnl_matrix_fixed_ref:
		""""""
		...

	@overload
	def set_column(self, j: int, v: vnl_vector_fixed) -> vnl_matrix_fixed_ref:
		""""""
		...

	def set_columns(self, starting_column: int, M: vnl_matrix) -> vnl_matrix_fixed_ref:
		""""""
		...

	@overload
	def set_row(self, i: int, v) -> vnl_matrix_fixed_ref:
		""""""
		...

	@overload
	def set_row(self, i: int, value: float) -> vnl_matrix_fixed_ref:
		""""""
		...

	@overload
	def set_row(self, i: int, v: vnl_vector) -> vnl_matrix_fixed_ref:
		""""""
		...

	@overload
	def set_row(self, i: int, v: vnl_vector_fixed) -> vnl_matrix_fixed_ref:
		""""""
		...

	def set_identity(self) -> vnl_matrix_fixed_ref:
		""""""
		...

	def flipud(self) -> vnl_matrix_fixed_ref:
		""""""
		...

	def fliplr(self) -> vnl_matrix_fixed_ref:
		""""""
		...

	def normalize_rows(self) -> vnl_matrix_fixed_ref:
		""""""
		...

	def normalize_columns(self) -> vnl_matrix_fixed_ref:
		""""""
		...

	def scale_row(self, row: int, value: float) -> vnl_matrix_fixed_ref:
		""""""
		...

	def scale_column(self, col: int, value: float) -> vnl_matrix_fixed_ref:
		""""""
		...

	def read_ascii(self, s) -> bool:
		""""""
		...

	def as_matrix(self) -> vnl_matrix:
		""""""
		...

	def begin(self):
		""""""
		...

	def end(self):
		""""""
		...

	def operator_eq(self, rhs: vnl_matrix_fixed_ref_const) -> bool:
		""""""
		...

